Loading...
Searching...
No Matches
gx_portmap::PortMapWindow::ModelColumns Struct Reference
Inheritance diagram for gx_portmap::PortMapWindow::ModelColumns:

## Public Member Functions

| ModelColumns ()

## Public Attributes

Gtk::TreeModelColumn< Glib::ustring > | port
Gtk::TreeModelColumn< bool > | connected
Gtk::TreeModelColumn< bool > | is_port

## Detailed Description

Definition at line 63 of file gx_portmap.h.

## Constructor & Destructor Documentation

## ModelColumns()

gx_portmap::PortMapWindow::ModelColumns::ModelColumns | ( |  | ) |

inline

Definition at line 67 of file gx_portmap.h.

## Member Data Documentation

## connected

Gtk::TreeModelColumn<bool> gx_portmap::PortMapWindow::ModelColumns::connected

Definition at line 65 of file gx_portmap.h.

Referenced by ModelColumns().

## is_port

Gtk::TreeModelColumn<bool> gx_portmap::PortMapWindow::ModelColumns::is_port

Definition at line 66 of file gx_portmap.h.

Referenced by ModelColumns().

## port

Gtk::TreeModelColumn<Glib::ustring> gx_portmap::PortMapWindow::ModelColumns::port

Definition at line 64 of file gx_portmap.h.

Referenced by ModelColumns().

The documentation for this struct was generated from the following file:

- src/headers/gx_portmap.h